<?php
if ( ! defined( 'ABSPATH' ) ) { die( '-1' ); }
/*
 * Templatation.com
 *
 * Team for VC
 *
 */

function tt_lc_clients_fn_vc() {
	vc_map(
		array(
			"icon" => 'tt-vc-block',
			"name" => esc_html__("LC Clients List", 'logiscargo'),
			"base" => "tt_lc_clients_shortcode",
			'description' => esc_html__( 'Clients with logo and desc', 'logiscargo' ),
			"category" => esc_html__('Logiscargo', 'logiscargo'),
			"params" => array(
                array(
                    'type' => 'attach_image',
                    'heading' => esc_html__( 'Service image', 'logiscargo' ),
                    'param_name' => 'image',
                    'value' => '',
                    'description' => esc_html__( 'Select image from media library.', 'logiscargo' ),
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Title', 'logiscargo' ),
                    'param_name' => 'title',
                    'value' => '',
                    'admin_label' => true,
                    'description' => esc_html__( 'Title', 'logiscargo' )
                ),
                array(
                    'type' => 'textarea',
                    'heading' => esc_html__( 'Text info', 'logiscargo' ),
                    'param_name' => 'text',
                    'value' => '',
                    'description' => esc_html__( 'Text', 'logiscargo' )
                ),
			)
		)
	);
}

add_action( 'vc_before_init', 'tt_lc_clients_fn_vc' );

if(class_exists('WPBakeryShortCode')) {
	class WPBakeryShortCode_tt_lc_clients_shortcode extends WPBakeryShortCode {
	}
}